Package org.xnio.channels

# Class CloseListenerSettable.Setter<C extends Channel>

java.lang.Object
org.xnio.channels.CloseListenerSettable.Setter<C>

Type Parameters:
  `C` - the channel type

All Implemented Interfaces:
  `ChannelListener.Setter<C>`

Enclosing interface:
  `CloseListenerSettable<C extends Channel>`

public static class CloseListenerSettable.Setter<C extends Channel> extends Object implements ChannelListener.Setter<C>
A channel listener setter implementation which delegates to the appropriate setter method.

## Constructor Summary

Constructors
Constructor
Description
`Setter(CloseListenerSettable<C> settable)`
Construct a new instance.

## Method Summary

Modifier and Type
Method
Description
`void`
`set(ChannelListener<? super C> listener)`
Set the listener, or `null` to ignore the associated event type.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Setter

public Setter(CloseListenerSettable<C> settable)
Construct a new instance.

Parameters:
  `settable` - the settable to delegate to

## Method Details

### set

public void set(ChannelListener<? super C> listener)
Description copied from interface: `ChannelListener.Setter`
Set the listener, or `null` to ignore the associated event type.

Specified by:
  `set` in interface `ChannelListener.Setter<C extends Channel>`
Parameters:
  `listener` - the new listener